
import java.util.ArrayList;
import java.util.Scanner;

public class FillarointiaBaanallaOsa2 {

    public static void main(String[] args) {
        Scanner lukija = new Scanner(System.in);


        TiedostonLukija tiedLukija = new TiedostonLukija();
        ArrayList<String> pyorailijat = tiedLukija.lueTiedosto("helsingin-pyorailijamaarat.csv");

        double keskiarvo
                = pyorailijat.stream()
                        .map(merkkijono -> merkkijono.split(";"))
                        .filter(taulukko -> taulukko[0].contains("2014"))
                        .filter(taulukko -> !taulukko[2].isEmpty())
                        .mapToInt(taulukko -> Integer.parseInt(taulukko[2]))
                        .average().getAsDouble();

        System.out.println();
        System.out.println("Pyöräilijöitä keskimäärin tunnissa: " + keskiarvo);
        System.out.println("Pyöräilijöitä keskimäärin päivässä: " + (24.0 * keskiarvo));
    }
}
